API Reference
List guardrail assignments
List assignments visible to the authenticated management key.
List assignments visible to the authenticated management key.
Endpoint
- Base URL
https://runapi.ai- API version
v1- Authentication
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
02
JSON bodyRequest
Send values only in the listed request location.
Query parameters2 fields
limitinteger
Optional
Maximum assignments returned per page.
Default:20
Range: 1 - 100
pageinteger
Optional
Offset page number. Values start at 1.
Default:1
Bound: 1
03
HTTP 200Success response
GET /api/v1/guardrail_assignments
JSON
{
"guardrail_assignments": [
{
"account_user_id": null,
"api_token_id": "token_123",
"created_at": "2026-07-27T10:00:00.000Z",
"guardrail_id": "guardrail_123",
"id": "guardrail_assignment_123"
}
],
"pagination": {
"limit": 20,
"page": 1,
"pages": 1,
"total": 1
}
}
04
HTTP 401Error response (401)
Response schema
JSON
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Response example
JSON
{
"error": "Authentication required"
}
05
HTTP 403Error response (403)
Response schema
JSON
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Response example
JSON
{
"error": "Management API key required"
}
06
HTTP 400Error response (400)
Response schema
JSON
{
"oneOf": [
{
"properties": {
"error": {
"description": "Human-readable error message.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "Human-readable validation summary.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Validation messages keyed by public request field, with an array of human-readable strings for each field.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
Response example
JSON
{
"error": "page must be an integer"
}
07
cURL example
CURL
curl -X GET https://runapi.ai/api/v1/guardrail_assignments?page=1&limit=20 \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'